org.wso2.carbon.mediation.initializer.services

## Class SynapseEnvironmentServiceImpl

- java.lang.Object
- - org.wso2.carbon.mediation.initializer.services.SynapseEnvironmentServiceImpl

- All Implemented Interfaces:
    SynapseEnvironmentService

      public class SynapseEnvironmentServiceImpl
      extends Object
      implements SynapseEnvironmentService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynapseEnvironmentServiceImpl(org.apache.synapse.core.SynapseEnvironment synapseEnvironment, int tenantId, org.apache.axis2.context.ConfigurationContext configCtx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axis2.context.ConfigurationContext` | `getConfigurationContext()` Get the ConfigurationContext for this SynapseConfiguration
    `org.apache.synapse.core.SynapseEnvironment` | `getSynapseEnvironment()` Retrieve the synapse configuration
    `int` | `getTenantId()` Get the tenant id corresponding to this synapse configuration.
    `void` | `setConfigurationContext(org.apache.axis2.context.ConfigurationContext configurationContext)`
    `void` | `setSynapseEnvironment(org.apache.synapse.core.SynapseEnvironment synapseEnvironment)` Set the SynapseEnvironment

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynapseEnvironmentServiceImpl

          public SynapseEnvironmentServiceImpl(org.apache.synapse.core.SynapseEnvironment synapseEnvironment,
                                               int tenantId,
                                               org.apache.axis2.context.ConfigurationContext configCtx)

  - ### Method Detail

    - #### getTenantId

          public int getTenantId()

      Description copied from interface: `SynapseEnvironmentService`
      Get the tenant id corresponding to this synapse configuration.
      Specified by:
        `getTenantId` in interface `SynapseEnvironmentService`
      Returns:
        integer value of the tenant id

    - #### getSynapseEnvironment

          public org.apache.synapse.core.SynapseEnvironment getSynapseEnvironment()

      Description copied from interface: `SynapseEnvironmentService`
      Retrieve the synapse configuration
      Specified by:
        `getSynapseEnvironment` in interface `SynapseEnvironmentService`
      Returns:
        synapse configuration

    - #### setSynapseEnvironment

          public void setSynapseEnvironment(org.apache.synapse.core.SynapseEnvironment synapseEnvironment)

      Description copied from interface: `SynapseEnvironmentService`
      Set the SynapseEnvironment
      Specified by:
        `setSynapseEnvironment` in interface `SynapseEnvironmentService`
      Parameters:
        `synapseEnvironment` - SynapseEnvrionment

    - #### getConfigurationContext

          public org.apache.axis2.context.ConfigurationContext getConfigurationContext()

      Description copied from interface: `SynapseEnvironmentService`
      Get the ConfigurationContext for this SynapseConfiguration
      Specified by:
        `getConfigurationContext` in interface `SynapseEnvironmentService`
      Returns:
        the ConfigurationContext

    - #### setConfigurationContext

          public void setConfigurationContext(org.apache.axis2.context.ConfigurationContext configurationContext)

Copyright © 2020 WSO2. All rights reserved.